%define name		jts
%define oname		ots
%define version		1.0
%define cvs_version	1_0
%define release		5jpp_1rh
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java Transaction Service
License:	Sun Binary Code License
Url:		http://java.sun.com/products/jts
Group:		Development/Libraries/Java
#Vendor:		JPackage Project
#Distribution:	JPackage
Source0:	%{name}%{cvs_version}.zip
Source2:	%{name}.license
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JavaTM Transaction Service (JTS) specifies the implementation of a
Transaction Manager which supports the JavaTM Transaction API (JTA) 1.0
Specification at the high-level and implements the Java mapping of the
OMG Object Transaction Service (OTS) 1.1 Specification at the low-level.
JTS uses the standard CORBA ORB/TS interfaces and Internet Inter-ORB
Protocol (IIOP) for transaction context propagation between JTS
Transaction Managers.	
A JTS Transaction Manager provides transaction services to the parties
involved in distributed transactions: the application server, the
resource manager, the standalone transactional application, and the
Communication Resource Manager (CRM).	

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c
cp %{SOURCE2} LICENSE
rm -rf classes/*
# fix files perms
chmod -R go=u+w *

%build
pushd src
find . -name "*.java" > ../file.list
javac -d ../classes @../file.list
popd
jar cvf %{name}.jar -C classes .

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{oname}
install -m 644 *.idl $RPM_BUILD_ROOT%{_datadir}/%{oname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/%{name}*.jar
%dir %{_datadir}/%{oname}
%{_datadir}/%{oname}/*.idl

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Dec 06 2004 Fernando Nasser <fnasser@redhat.com> 1.0-5jpp_1rh
- First Red Hat release

* Wed Sep 29 2004 Ralph Apel <r.apel at r-apel.de> 1.0-5jpp
- classes didn't contain .class files for some .java sources

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-4jpp
- For jpackage-utils 1.5

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2jpp 
- section macro
- nosrc package
- bzipped additional sources
- fixed redudant javadoc files
- provided idl files
- one only jar for all classes

* Tue Jan 22 2002 Henri Gomez <hgomez@slib.fr> 1.0-1jpp
- Initial release
